#
# spec file for package perl-Bundle-CPAN
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-Bundle-CPAN
Version:        1.863
Release:        1.1
%define cpan_name Bundle-CPAN
Summary:        Bundle to optimize the behaviour of CPAN.pm
License:        Artistic-1.0 or GPL-1.0+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Bundle-CPAN/
Source0:        https://cpan.metacpan.org/authors/id/A/AN/ANDK/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
%{perl_requires}

%description
This bundle includes CPAN.pm as the base module.

When CPAN installs this bundle it tries immediately to enable
Term::ReadLine so that you do not need to restart your CPAN session.

In this bundle Term::ReadLine::Perl is preferred over Term::ReadLine::Gnu
because there is no way to express _OR_ in dependencies.

Note that all modules in this Bundle are not strict prerequisites to get a
working CPAN.pm. CPAN.pm can work quite well without the other modules. The
other modules are *suggested* and can safely be installed later.

Please install the Bundle::CPANxxl to get a few more.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes

%changelog
* Wed Oct  4 2017 coolo@suse.com
- updated to 1.863
  see /usr/share/doc/packages/perl-Bundle-CPAN/Changes
  2017-10-03  k  <andk@cpan.org>
  * release 1.863
  * add four more daily used packages to the Bundle::CPANxxl:
  Module::Info, V, Devel::PatchPerl, Module::Versions::Report
  * add CPAN::Meta::Requirements to Bundle::CPAN
* Tue Apr 28 2015 coolo@suse.com
- updated to 1.862
  see /usr/share/doc/packages/perl-Bundle-CPAN/Changes
  2015-04-27  k  <andk@cpan.org>
  * release 1.862
  * 00signature.t: survive recent changes in ExtUtils::MakeMaker (_eumm)
  and in Module::Signature ($ENV{TEST_SIGNATURE})
* Tue Apr 14 2015 coolo@suse.com
- updated to 1.861
  see /usr/share/doc/packages/perl-Bundle-CPAN/Changes
  2012-03-02  Andreas J. Koenig  <andreas.koenig.7os6VVqR@franz.ak.mind.de>
  * release 1.861
  * kentfrederic has provided a metadata patch for META.* files
  2012-02-08  Andreas J. Koenig  <andreas.koenig.7os6VVqR@franz.ak.mind.de>
  * release 1.859
  * remove Scalar::Util, it is nowadays declared dependency of IO::Compress::Base
* Thu Apr 14 2011 coolo@opensuse.org
- initial package 1.858
  * created by cpanspec 1.78.04
